Retrieve SettlementCopy Pagepost https://uat1.billdesk.com/u2/pasettlements/v1_2/settlements/getYou can fetch the list of settlements created within a specific time period range using this API.Body ParamsmercidstringUnique identifier as defined by BillDesk for each merchantfrom_datestringFrom date in YYYYMMDD format – date from when the merchant wants to fetch the settlement details If the merchant wants to fetch settlement details for only one day, the merchant should specify the same date in ‘from_date’ and ‘to_date’ This attribute is Mandatory when the pv_number is not provided in the requestto_datestringTo date in YYYYMMDD format – date up to when the merchant wants to fetch settlement details The maximum date range supported will be 7 days.pv_numberstringpv_number provided by BillDesk for the settlement This attribute is Mandatory if the ‘from_date’ is not provided.HeadersBD-TraceidstringrequiredBD-TraceID is a unique identifier passed by the merchant to ensure request idempotency. Requests with identical BD-TraceID within a 24 hour window would fail.BD-TimestampstringrequiredRequest timestamp to identify date and time of origin of request. Example, a value of BD-Timestamp 20210113180403 identifies the request to have originated on 13th January 2021 at 06:04:03 PM.Content-TypestringrequiredRequest Content-Type to take the values application/joseAcceptstringrequiredAccept Response Content-Type to take the values application/joseResponses 200OK 403Forbidden 500Internal Server Error defaultAny bad or invalid request will lead to following error objectUpdated 6 months ago